# $Revision: 1.50 $, $Date: 2012/01/20 13:14:35 $
# TODO: use /usr/lib/cgi-bin instead of /home/services
#
# Conditional build:
%bcond_without	database	# without database support (wwwcount works in old way)
%bcond_with	db3		# use db3 instead of db package
#
Summary:	WWW Hit Access Counter
Summary(pl.UTF-8):	Licznik dostępu do strony WWW
Name:		wwwcount
Version:	2.6
Release:	10
Epoch:		1
Group:		Networking/Utilities
License:	BSD-like
Source0:	http://www.muquit.com/muquit/software/Count/Count2.6/Count2.6/download/src/%{name}%{version}.tar.gz
# Source0-md5:	1d584bb21fe401480c69fe2f08879b8d
Source1:	http://www.muquit.com/muquit/software/Count/Count2.6/Count2.6/download/docs/%{name}%{version}docs.tar.gz
# Source1-md5:	867648585ee461d9062501c9d279d59e
Source2:	%{name}.cfg
Source3:	%{name}.logrotate
Patch0:		%{name}-pld.patch
Patch1:		%{name}-errno.patch
Patch2:		%{name}-db41.patch
URL:		http://www.muquit.com/muquit/software/Count/Count2.6/Count.html
BuildRequires:	automake
%if %{with database}
%{!?with_db3:BuildRequires:	db-devel}
%{?with_db3:BuildRequires:	db3-devel}
%endif
BuildRequires:	freetype1-devel
Requires(post):	/bin/hostname
Requires(post):	fileutils
Requires(post):	sed
Requires:	webserver
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		httpdir		/home/services/httpd
%define		cgidir		%{httpdir}/cgi-bin

%description
wwwcount is a cgi script for apache (and other HTTP daemons), which
prododuces nice picture with number of people visited your website.
You can use your custom fonts with wwwcount.

%description -l pl.UTF-8
wwwcount jest skryptem cgi do apache (i innych serwerów HTTP), który
generuje piękny obrazek z ilością osób które odwiedziły twoją stronę.
Możesz używać także swoich unikalnych czcionek.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
tar xzf %{SOURCE1}

for a in `find -type f -name "*.pl*"`
do
	%{__perl} -pi -e 's@/usr/local/bin/perl@/usr/bin/perl@' $a
	%{__perl} -pi -e 's@c:\perl\bin\perl@/usr/bin/perl@' $a
done

%build
cp -f /usr/share/automake/config.* .
%configure2_13 \
	%{!?with_database:--without-database}

./build --all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/logrotate.d,%{cgidir}} \
	$RPM_BUILD_ROOT/var/{log/httpd,lib/wwwcount/{data,db,log/archive}} \
	$RPM_BUILD_ROOT{%{_libdir}/wwwcount,%{_bindir}}

install bin/Count.cgi $RPM_BUILD_ROOT%{cgidir}/wwwcount.cgi
%{?with_database:install bin/count_admin.pl $RPM_BUILD_ROOT%{cgidir}/wwwcount_admin.cgi}
%{?with_database:install bin/count_admin_help.pl $RPM_BUILD_ROOT%{cgidir}/wwwcount_admin_help.cgi}
install bin/{extdgts,mkstrip,mwhich} $RPM_BUILD_ROOT%{_bindir}
%{?with_database:install bin/{editdb,dumpdb,rgbtxt2db} $RPM_BUILD_ROOT%{_bindir}}
install data/data/* $RPM_BUILD_ROOT/var/lib/wwwcount/data
install data/rgb.txt $RPM_BUILD_ROOT%{_libdir}/wwwcount

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

cp -rf data/digits $RPM_BUILD_ROOT%{_libdir}/wwwcount
cp -rf data/fonts $RPM_BUILD_ROOT%{_libdir}/wwwcount

touch $RPM_BUILD_ROOT/var/lib/wwwcount/log/wwwcount-{error,visitor}

rm -rf %{name}%{version}docs/{dirsync,prehtml,scripts,tmp,README,gzip.arc,mkarc.sh}
rm -rf %{name}%{version}docs/Count%{version}/download

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
sed %{_sysconfdir}/wwwcount.cfg -e "s/%HOSTNAME%/`hostname -f`/g" \
	-e "s/%DOMAINNAME%/`hostname -d`/g" \
	-e "s/%IPNAME%/`hostname -i`/g" > %{_sysconfdir}/wwwcount.cfg.rpmtmp
mv -f %{_sysconfdir}/wwwcount.cfg.rpmtmp %{_sysconfdir}/wwwcount.cfg

%files
%defattr(644,root,root,755)
%doc README TODO %{name}%{version}docs/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{cgidir}/wwwcount.cgi
%{?with_database:%attr(755,root,root) %{cgidir}/wwwcount_*.cgi}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/wwwcount.cfg
%attr(775,root,http) %dir /var/lib/wwwcount
%attr(775,root,http) %dir /var/lib/wwwcount/log
%attr(775,root,http) %dir /var/lib/wwwcount/log/archive
%{!?with_database:%attr(775,root,http) %dir /var/lib/wwwcount/data}
%{?with_database:%attr(775,root,http) %dir /var/lib/wwwcount/db}
%{!?with_database:%attr(664,root,http) %config(noreplace) %verify(not md5 mtime size) /var/lib/wwwcount/data/*}
%attr(664,root,http) %config(noreplace) %verify(not md5 mtime size) /var/lib/wwwcount/log/wwwcount*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%{_libdir}/wwwcount

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wwwcount.spec,v $
Revision 1.50  2012/01/20 13:14:35  baggins
- rel 10
- logrotate 3.8.0 requires "su" option for non-root owned dirs

Revision 1.49  2011/01/29 00:07:40  sparky
- dropped pre-cvs changelog

Revision 1.48  2007/04/02 17:29:46  baggins
- more s|/var/log/archiv|/var/log/archive|g

Revision 1.47  2007/04/02 16:55:18  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.46  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.45  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.44  2006/10/31 13:40:03  qboosh
- todo: cgi-bin dir move

Revision 1.43  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.42  2005/12/13 15:25:42  glen
- R: httpd -> R: webserver, rel 9

Revision 1.41  2004/10/29 09:37:42  paladine
- "HTTP" unification

Revision 1.40  2004/04/24 19:39:17  twittner
- cleaning

Revision 1.39  2004/04/24 15:46:48  twittner
- /usr/local/bin/perl & other -> /usr/bin/perl
- rel. 8

Revision 1.38  2004/04/09 20:25:57  qboosh
- added db41 patch, fixed build with database, BR: freetype1-devel

Revision 1.37  2003/12/16 18:59:26  qboosh
- added errno patch, new-style bconds

Revision 1.36  2003/06/23 11:13:33  ankry
- fixed src URLs and md5

Revision 1.35  2003/05/28 13:02:59  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:28:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/02/10 23:01:33  qboosh
- simplified %post, added Requires()
- refresh config.* - athlon-ready now
- use db 4.x by default (bcond for db3)
- release 7

Revision 1.32  2002/12/06 21:29:23  orzech
- /home/httpd -> /home/services/httpd

Revision 1.31  2002/08/05 20:03:12  kloczek
- typo.

Revision 1.30  2002/08/05 19:33:07  kloczek
- use new %doc.

Revision 1.29  2002/05/08 10:21:31  qboosh
- fixed typo in bcond in files, fixed log/archiv dir; release 6

Revision 1.28  2002/04/26 06:43:59  orzech
- removed one unnecessary dir entry from %files
- rel 5
- builds, works - STBR

Revision 1.27  2002/03/26 12:34:33  baggins
- release 4
- fixed olddir in logrotate config so it's on the same partition as original logs

Revision 1.26  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/17 11:14:08  kloczek
- added Epoch: 1 for allow upgrade from 2.6b3.

Revision 1.23  2002/02/16 17:09:27  qboosh
- release 3: marked config files with noreplace and verify tags

Revision 1.22  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.21  2002/01/18 02:15:26  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/09/17 15:25:57  blues
- release 2
- configure2_13 used

Revision 1.19  2001/05/22 09:06:52  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.18  2001/03/15 18:28:29  qboosh
- found official site - updated URLs

Revision 1.17  2001/01/09 17:52:56  qboosh
- update to 2.6
- conditional database support

Revision 1.16  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.15  2000/09/01 14:40:16  baggins
- typo

Revision 1.14  2000/09/01 14:15:36  baggins
- added logrotate

Revision 1.13  2000/09/01 14:13:25  baggins
- release 3
- log goes to /var/log/httpd

Revision 1.12  2000/08/17 16:57:54  baggins
- release 2
- fixed defattr

Revision 1.11  2000/06/09 07:55:16  kloczek
- more %{__make} macros.

Revision 1.10  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:13  baggins
- translated kloczkish into english

Revision 1.8  1999/07/13 10:39:50  baggins
- fixed bad %attr macro

Revision 1.7  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).
